<?php
header('Content-Type: application/json');

$host = 'localhost';
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Empresa01\Datos\SAE70EMPRE01.FDB';
$username = 'SYSDBA';
$password = 'masterkey';

if (isset($_POST['id'])) {
    $clienteId = $_POST['id'];

    try {
        $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);
        
  $sqlFacturas = "
  SELECT CUEN_M01.CVE_CLIE, CONC01.DESCR,  
      SUM(CASE WHEN CUEN_M01.TIPO_MOV = 'A' THEN CUEN_M01.IMPORTE ELSE 0 END) AS ABONOS,
      SUM(CASE WHEN CUEN_M01.TIPO_MOV = 'C' THEN CUEN_M01.IMPORTE ELSE 0 END) AS CARGOS
  FROM CUEN_M01
  INNER JOIN CONC01 ON CUEN_M01.NUM_CPTO = CONC01.NUM_CPTO
  WHERE CUEN_M01.CVE_CLIE = ?
  GROUP BY CUEN_M01.CVE_CLIE, CONC01.DESCR
  
  UNION ALL
  
  SELECT CUEN_DET01.CVE_CLIE, CONC01.DESCR,  
      SUM(CASE WHEN CUEN_DET01.TIPO_MOV = 'A' THEN CUEN_DET01.IMPORTE ELSE 0 END) AS ABONOS,
      SUM(CASE WHEN CUEN_DET01.TIPO_MOV = 'C' THEN CUEN_DET01.IMPORTE ELSE 0 END) AS CARGOS
  FROM CUEN_DET01
  INNER JOIN CONC01 ON CUEN_DET01.NUM_CPTO = CONC01.NUM_CPTO
  WHERE CUEN_DET01.CVE_CLIE = ?
  GROUP BY CUEN_DET01.CVE_CLIE, CONC01.DESCR";

$stmtFacturas = $dbh->prepare($sqlFacturas);
$stmtFacturas->execute([$clienteId, $clienteId]);

 
 $facturas = "<table class='table table-hover'>";
 $facturas .= "<thead class='thead-dark'><tr><th>Descricion</th><th>Cargos</th><th>Abonos</th></tr></thead><tbody>";
 
 while ($row = $stmtFacturas->fetch(PDO::FETCH_ASSOC)) {
     $facturas .= "<tr data-id='" . htmlspecialchars($row['CVE_CLIE'], ENT_QUOTES, 'UTF-8') . "'>";
     $facturas .= "<td>" . htmlspecialchars($row['DESCR'], ENT_QUOTES, 'UTF-8') . "</td>";
     $facturas .= "<td>" . number_format($row['CARGOS'], 2, '.', ',') . "</td>";
     $facturas .= "<td>" . number_format($row['ABONOS'], 2, '.', ',') . "</td>";

     $facturas .= "</tr>";
 }
 $facturas .= "</tbody></table>";

        echo json_encode(['detalles' => $facturas]); // Cambia 'facturas' por 'detalles'
    } catch (PDOException $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'ID del cliente no especificado.']);
}
?>
